| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::cann::AscendPicDesc Struct Reference

`#include <opencv2/dvpp_call.hpp>`

Collaboration diagram for cv::cann::AscendPicDesc:

## Public Member Functions
| AscendPicDesc ()
| AscendPicDesc (const AscendMat &ascendMat, hi_pixel_format _picture_format)
| AscendPicDesc (const Mat &mat, hi_pixel_format _picture_format)
std::shared_ptr< hi_void > | allocate ()
AscendPicDesc & | setMemAlign ()
AscendPicDesc & | setPic (hi_pixel_format _picture_format)

## Public Attributes
std::vector< int64_t > | batchNum
std::shared_ptr< hi_void > | data
size_t | heightAlignment = 1
const char * | name
hi_vpc_pic_info | Pic
size_t | sizeAlignment = 3
size_t | sizeNum = 3
size_t | widthAlignment = 16

## Constructor & Destructor Documentation

## ◆ AscendPicDesc() [1/3]

cv::cann::AscendPicDesc::AscendPicDesc | ( |  | ) |
| inline

## ◆ AscendPicDesc() [2/3]

cv::cann::AscendPicDesc::AscendPicDesc | ( | const AscendMat & | ascendMat,
|  | hi_pixel_format | _picture_format )

## ◆ AscendPicDesc() [3/3]

cv::cann::AscendPicDesc::AscendPicDesc | ( | const Mat & | mat,
|  | hi_pixel_format | _picture_format )

## Member Function Documentation

## ◆ allocate()

std::shared_ptr< hi_void > cv::cann::AscendPicDesc::allocate | ( |  | ) |

## ◆ setMemAlign()

AscendPicDesc & cv::cann::AscendPicDesc::setMemAlign | ( |  | ) |

## ◆ setPic()

AscendPicDesc & cv::cann::AscendPicDesc::setPic | ( | hi_pixel_format | _picture_format | ) |

## Member Data Documentation

## ◆ batchNum

std::vector<int64_t> cv::cann::AscendPicDesc::batchNum

## ◆ data

std::shared_ptr<hi_void> cv::cann::AscendPicDesc::data

## ◆ heightAlignment

size_t cv::cann::AscendPicDesc::heightAlignment = 1

## ◆ name

const char* cv::cann::AscendPicDesc::name

## ◆ Pic

hi_vpc_pic_info cv::cann::AscendPicDesc::Pic

## ◆ sizeAlignment

size_t cv::cann::AscendPicDesc::sizeAlignment = 3

## ◆ sizeNum

size_t cv::cann::AscendPicDesc::sizeNum = 3

## ◆ widthAlignment

size_t cv::cann::AscendPicDesc::widthAlignment = 16

The documentation for this struct was generated from the following file:

- opencv2/dvpp_call.hpp